Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class MergeIteratorFilter

    java.lang.Object
      org.apache.struts2.util.IteratorFilterSupport
          org.apache.struts2.util.MergeIteratorFilter

All Implemented Interfaces:
  Action, java.util.Iterator

    public class MergeIteratorFilter

extends IteratorFilterSupport
implements java.util.Iterator, Action

A bean that takes several iterators and outputs the merge of them. Used by MergeIteratorTag.

See Also:
  `MergeIteratorTag`, `MergeIterator`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.struts2.util.IteratorFilterSupport
`IteratorFilterSupport.EnumerationIterator`

Field Summary

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`MergeIteratorFilter()`

Method Summary
`java.lang.String` | `execute()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`
`void` | `setSource(java.lang.Object anIterator)`

Methods inherited from class org.apache.struts2.util.IteratorFilterSupport
`getIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeIteratorFilter

    public MergeIteratorFilter()

Method Detail

### setSource

    public void setSource(java.lang.Object anIterator)

### execute

    public java.lang.String execute()

  Specified by:
    `execute` in interface `Action`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.